CEF 6.60 TN-V4 早ければ11月中にもリリースの可能性





wololo.netで、wololo氏がPS VitaのePSP(PSPエミュレータ)でPSPのXMBをはじめとしたすべての機能を実現するCFE 6.60 TN-V4を開発しているTotal_Noob氏へのインタビュー記事を公開していました。

この記事は数日前にwololo氏が書いたものです。記事にしようと思っていましたがここのところかなり忙しくてまったく手がつかず、今日ようやく記事にしました。本当は翻訳ではなくオリジナル記事としてまとめてみようと思っていましたが、そんなことやってる余裕がないので丸々翻訳です。なんの工夫もありません。

wololo: まだ知らない人のために自己紹介と、PSPやVitaシーンでどんなことに取り組んで来たのかを教えてもらえますか?

Total Noob: みなさんこんにちは!PSPのころからの方はxmbctrlやDayViewerとかDownload Managerなんていうプラグインを作っていたのでボクのことはご存知ではないでしょうか。PSPの6.XX向けやPSP go向けに初めてHEN(Homebrew Enabler:カーネルexploitを使ったハックでHomebrewと呼ばれる自作アプリケーションの起動を可能にしたプログラム)の公開もしましたね。パタポンというゲームを使った6.20 TN-A。

wololo: TN-Vというのがどんなものか教えてもらえますか?機能なんかも教えてください。

Total Noob: TN-Vはボクが今までのものよりも長い時間をかけてずっと取り組んで来たプロジェクトです。PSPの枠は超えることはできていませんので(PS Vita上でのPSPの動作をしているに過ぎないため)、画期的だとは思わない方もいるでしょう。それでも今日までのPS Vitaシーンでは最も大きなイベントになると思いますよ。

ボクにとってはPSP(エミュレータ)の中身というのはとっても面白いものだと感じてます。まだまだ探検すべきものも新しい発見も沢山あります。ボクの最初の目標はPS Vitaで完璧なPSP環境を再現することで、その次が最良のカスタムファームウェアのコアを作ることです。

(下のビデオは以前のバージョンのTN-V、つまりTN-V3のものです。PSPのXMBやMP3プレーヤーなどが再現されています)

wololo: TN-V4の誰も知らない機能とか、これは凄いよとかという機能を差し支えなければ教えてくれませんか?

Total Noob: それは拡張メモリーが一番凄いかな。PSP Slim向けに開発されたエミュレータも含めた全Homebrewがこれで動くようになります。

そしてTN-V4のexploitのおかげでPSPエミュレータの全機能が実現できます。例えばPSNアカウント、ボタンアサイン、言語、日付の設定のような設定がちゃんとPSPエミュレータでできるようになったりとかね。PSPをなくした時とかに役に立つと思うよ。

要望が多かった、HOMEボタンと♪ボタンのボタンコンボでの実装もしました。バックアップゲームのGC Lite(Codestation氏が開発したGame Categories Liteというカテゴリ分けするプラグイン)を使ったカテゴリ分けもできます。

wololo: PS VitaのファームウェアにPS4との連携機能が搭載されるからという理由で以前TN-V4はPS4が発売されてから公開と言っていましたね。新しいカーネルexploitを過去にリリースされたユーザーモードexploitへ移植することについてコミュニティへ協力を求めていましたね。作業はほぼ終わっていますが、リリースについてはどのように考えていますか?

Total Noob: TN-V4は11月から来年の1月までの間に公開だろう思います。個人的にはいつでもリリースできると思ってますけどね。

wololo: 基本的にはPSPのカーネルモードexploitは実行するためにユーザーモードexploitが必要ですね。過去にはVHBL向けに複数ユーザーモードexploitをリリースしていますが、TN-V4では新しくなんらかのゲームのユーザーモードexploitを用意するつもりですか?

Total Noob: 現時点ではないです。安いマルチリージョンのゲームを探しているところです。もしそういうのを持っていたら是非連絡を下さい。[協力できそうなexploitを持っていたら、/talkフォーラムのTotal-Noob氏にPM(パーソナルメール)で連絡をしてみてください]

wololo: 最新のVitaファームウェアではPSPの拡張RAMに問題があったと言っていましたが、解決策は見つかりましたか?

Total Noob: 2.60のファームウェアでは拡張RAMは有効にはなりません。0x8A000000から0x8B000000までの領域は0×09000000から0x0A000000までの領域のエイリアスメモリーになってしまっているからです。拡張メモリーは通常のユーザーメモリーに追加するものですから、残りの0x8B000000から0x8C000000もHomebrewのためのメモリーとしては利用できません。

wololo: まだVitaの2.02という古いファームウェアのまま以前のeCFWを使っているユーザーがいます。そういった人たちに2.02のままがいいのか、2.61以降へアップデートした方がいいのか、TN-V4がリリースされた時にどうすべきだと思いますか?以前のeCFWよりも今度のTN-Vの方がベターだと思いますか?

Total Noob: PSPのHomebrewやエミュレータが好きだというのであれば、Vitaのファームウェアは2.60以前のもののままの方が良いでしょう。TN-V4は以前のバージョンよりも良くなっていますし、公式PSPエミュレータの中にあるバグTN-V3にあったバグもかなり直しました。ベータテスターをやってもらっているHackinformerではTN-V4より早いカスタムエミュレータファームウェアは存在しないと報告してくれています。

wololo: 今まで何人かのPSPハッカーがPSPのカーネルexploitでカーネルアクセスを実現してきました。でもVita向けに公開してきたのはTotal_Noob氏一人だけです。これはどうしてだと思いますか?カーネルexploi公開にはなにか問題でもあるのでしょうか?

Total Noob: ボクはいつも自分でCFWを公開したいと思っています。3年前からずっとそう思っていました。
多分他の人たちはカーネルexploitがVitaシーンを台無しにするのでは、と思っていたのではないでしょうか。ボクは今も4つカーネルexploitを手に入れているので、1つを提供することにしただけです。

wololo: ゲーム機のハッキングに興味がある人向けに、なにかアドバイスはありますか?いつも使っているツールなんかも教えてください。

Total Noob: 普段はprxtoolとPSPDecompilerを使っていますね。PSPDecompilerはコードをさっと見る時に、prxtoolは解析する時に使っています。

wololo: PS Vitaのネイティブハックについてはどうですか?もし取り組んでいるのならどんな状況なのか教えてもらえませんか?

Total Noob: 現時点ではPSPエミュレータしかやっていません。

wololo: PS4を手に入れたらハックしてみたいと思っていますか?

Total Noob: 大袈裟に言うつもりはないですか、ボクは単なるPSPハッカーですよ(笑)

wololo: それでは最後に、誰かに伝えたいことはありますか?

Total Noob: Dark_Alex氏には感謝したいですね。彼の存在はボクがPSPシーンを歩んで来た中で最も刺激を受けました。

今回のインタビューの中で、PS4発売後のリリースとされてきた6.60 TN-V4が具体的とまでは言えませんが早ければ今月11月、遅くとも日本でのPS4発売より1ヶ月前に当たる2013年1月までにリリースされることが明らかになりました。更にはまだTotal_Noob氏自身が4つもカーネルexploitを持っているとか。TN-V4公開で1つ消費しますので残りは3つ、ということになります。

Tags: , , , , , ,

  1. mayataka’s avatar

    Total-Noob氏の発言から察するに、ハイメモリサポートは2.12までという事ですかね。
    個人的にはハイメモリサポートとゲームアップデータのダウンロードができればいう事なしなのですが・・・
    確実な検証となると2.60の筐体と2.12の筐体とで使える機能について可不可を確認するしかないのでしょうかね。
    いつもTotal-Noob氏はreadmeにある程度詳しく記述してくださっていますし、ハイメモリサポートの有無で生じる差は書いていただけるのかな、と密かに期待しています。

  2. POP’s avatar

    10月11日のコメント欄で、V4は2.61でも運用可能というようなことが記載してありましたが、こちらの記事だと2.60までじゃないとダメということなのでしょうか?
    以前のコメントを拝見しアップデートしてしまったのですが、大失敗?

  3. mamosuke’s avatar

    パワプロを持っていれば2.61でも大丈夫ですが、拡張メモリーが使えなくなった2.60以降に当たるよ、という意味です。

    どちらにせよもうすぐPS4への対応を盛り込んだ3.00が出るので、拡張メモリーは諦めざるを得ない状況になりつつあります。

  4. POP’s avatar

    すみません。
    2.61でもV4は運用可能だが、ハイメモリーは使えない、ということですか?
    そもそも、ハイメモリーだと処理速度に違いがでるとかそんな感じでしょうか…。
    2.60と2.61で導入したときにどのような差が出るのか知りたいですが可能でしょうか?
    2.61ではなく2.60をインストールすればよかったかもと思いますが、もう無理ですし、そんなに差がないのであれば気にしないですけど…
    国外ではVITAのアップデートきたようですよね。

  5. mamosuke’s avatar

    2.60も2.61も一緒です。機能的には差がありません。2.61は2.60のexploit潰し版です。

    拡張メモリーが使えないとPSP-1000では動かない2000/3000専用のHomebrewが動かなくなります。幾つかそんなのがあったように記憶しています。

    拡張メモリーの有無にかかわらず、基本的な動作に差はありません。市販のゲームでPSP-1000では動きませんというタイトルがあったかというとないわけですから、通常は1000でも動くように作られています。Homebrewも基本は同じです。逆に、今後はVita対応として拡張メモリーなしが標準になるのではないでしょうか。

  6. そ’s avatar

    PSP1000では起動できないタイトルは無いけど
    PSP1000ではアドホック通信できないタイトル有りましたよね

  7. お餅’s avatar

    Dark_Alex氏を挙げてるのが個人的に感慨深い
    言われてみれば あぁ、確かに彼だなぁ、と自分も思いました

  8. POP’s avatar

    丁寧にありがとうございます!
    とりあえず、リリースを期待して待っていようと思います。

Reply

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

次のHTML タグと属性が使えます: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> <img localsrc="" alt="">